> For the complete documentation index, see [llms.txt](https://docs.zk.link/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zk.link/developer/api-and-sdk/transaction/full_exit.md).

# FullExit

<table><thead><tr><th width="20">Name</th><th width="20">Type</th><th width="10">Required</th><th width="250">Description</th></tr></thead><tbody><tr><td>type</td><td>String</td><td>yes</td><td>The value is "FullExit"</td></tr><tr><td>toChainId</td><td><a href="/pages/9wsGjTwfpfc2nyUJWAzS#chainid">ChainId</a></td><td>yes</td><td>The chain id defined by zkLink, to which the user wish to withdrawal</td></tr><tr><td>accountId</td><td><a href="/pages/9wsGjTwfpfc2nyUJWAzS#accountid">AccountId</a></td><td>yes</td><td>The id of the withdrawal account</td></tr><tr><td>subAccountId</td><td><a href="/pages/9wsGjTwfpfc2nyUJWAzS#subaccountid">SubAccountId</a></td><td>yes</td><td>The id of the subaccount for withdrawal</td></tr><tr><td>exitAddress</td><td>String</td><td>yes</td><td>The Layer1 address of the recipient</td></tr><tr><td>l2SourceToken</td><td><a href="/pages/9wsGjTwfpfc2nyUJWAzS#tokenid">TokenId</a></td><td>yes</td><td>The token deducted from the withdrawal account on Layer3</td></tr><tr><td>l1TargetToken</td><td><a href="/pages/9wsGjTwfpfc2nyUJWAzS#tokenid">TokenId</a></td><td>yes</td><td>The token received by the recipient on Layer 1</td></tr><tr><td>serialId</td><td>u64</td><td>yes</td><td>The serial number of the event, used as nonce</td></tr><tr><td>ethHash</td><td><a href="/pages/9wsGjTwfpfc2nyUJWAzS#txhash">TxHash</a></td><td>yes</td><td>The transaction hash that generated this event on Layer 1</td></tr></tbody></table>

For example:

```json
{
    "type": "FullExit",
    "toChainId": 1,
    "accountId": 25,
    "subAccountId": 1,
    "exitAddress": "0xae08c2e27765faef5cb05908dbac12242caf91af",
    "l2SourceToken": 47,
    "l1TargetToken": 47,
    "serialId": 43,
    "ethHash": "0x748d32538f71d937d9e2c47adc26c499d0451b87e4fd337c2d6190c3271dafd7"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zk.link/developer/api-and-sdk/transaction/full_exit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
